import java.lang.Exception;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.PrintWriter;

class WriteText2 {

    String filename;

    private void setFilename(String s) {
        this.filename = s;
    }

    private String getFilename() {
        return this.filename;
    }

    private void usage() {
        System.err.println("Usage: java WriteText <output filename>");
        System.exit(1);
    }

    WriteText2(String[] args) {
        if (args.length != 1) {
            usage();
        }
        this.setFilename(args[0]);
    }

    private boolean inputLine(PrintWriter pw) {
        boolean ret = true;
        try {
            System.out.print("> "); // prompt
            InputStreamReader isr = new InputStreamReader(System.in);
            BufferedReader br = new BufferedReader(isr);
            String in = br.readLine();
            if (in.equals(".")) { ret = false; } // input terminator
            else { pw.println(in); }
//          br.close();     // stdinなので閉じる必要なし・閉じれない(閉じると例外発生)
//          isr.close();    // stdinなので閉じる必要なし・閉じれない(閉じると例外発生)
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(2);
        }
        return ret;
    }

    private void run() {
        String charcode = System.getProperty("file.encoding");  // default character code
        try {
            FileOutputStream fos = new FileOutputStream(this.getFilename());
            OutputStreamWriter osw = new OutputStreamWriter(fos, charcode);
            PrintWriter pw = new PrintWriter(osw);
            while (inputLine(pw));
            pw.close();
            osw.close();
            fos.close();
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(3);
        }
    }

    public static void main(String[] args) {
        WriteText2 me = new WriteText2(args);
        me.run();
    }
}
